## qtwebkit 2.1.0~2011week13

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
PROJECT(WebKit)

IF (NOT CMAKE_BUILD_TYPE)
    SET(CMAKE_BUILD_TYPE Release)
ENDIF ()
SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

SET(JAVASCRIPTCORE_DIR "${CMAKE_SOURCE_DIR}/JavaScriptCore")
SET(WEBCORE_DIR "${CMAKE_SOURCE_DIR}/WebCore")
SET(WEBKIT_DIR "${CMAKE_SOURCE_DIR}/WebKit")
SET(DERIVED_SOURCES_DIR "${CMAKE_BINARY_DIR}/DerivedSources")

INCLUDE(WebKitMacros)
INCLUDE(WebKitGenerators)
INCLUDE(WebKitHelpers)
INCLUDE(WebKitFeatures)

# -----------------------------------------------------------------------------
# Determine which port will be built
# -----------------------------------------------------------------------------
SET(ALL_PORTS Efl)
OPTION(PORT "choose which WebKit port to build (one of ${ALL_PORTS})" "NOPORT")

# -----------------------------------------------------------------------------
# Find common packages (used by all ports)
# -----------------------------------------------------------------------------
FIND_PACKAGE(BISON REQUIRED)
FIND_PACKAGE(FLEX REQUIRED)
FIND_PACKAGE(Perl REQUIRED)
FIND_PACKAGE(PythonInterp REQUIRED)

# -----------------------------------------------------------------------------
# Determine the target processor
# -----------------------------------------------------------------------------
IF (CMAKE_SYSTEM_PROCESSOR MATCHES "arm")
    SET(WTF_CPU_ARM 1)
ELSEIF (CMAKE_SYSTEM_PROCESSOR MATCHES "(x86_64)")
    SET(WTF_CPU_X86_64 1)
ELSEIF (CMAKE_SYSTEM_PROCESSOR MATCHES "(i[3-6]86|x86)")
    SET(WTF_CPU_X86 1)
ELSE ()
    MESSAGE(FATAL_ERROR "Unknown CPU '${CMAKE_SYSTEM_PROCESSOR}'")
ENDIF ()

# -----------------------------------------------------------------------------
# Determine the operating system
# -----------------------------------------------------------------------------
IF (CMAKE_SYSTEM_NAME MATCHES "Linux")
    SET(WTF_OS_UNIX 1)

    IF (APPLE)
        SET(WTF_OS_MAC_OS_X 1)
    ENDIF ()
ELSEIF (CMAKE_SYSTEM_NAME MATCHES "Windows")
    SET(WTF_OS_WINDOWS 1)
ELSE ()
    MESSAGE(FATAL_ERROR "Unknown OS '${CMAKE_SYSTEM_NAME}'")
ENDIF ()

# -----------------------------------------------------------------------------
# Default target names (can be overrriden in Options${PORT}.cmake file)
# -----------------------------------------------------------------------------
SET(JSC_EXECUTABLE_NAME JSC)
SET(WTF_LIBRARY_NAME WTF)
SET(JavaScriptCore_LIBRARY_NAME JavaScriptCore)
SET(WebCore_LIBRARY_NAME WebCore)
SET(WebKit_LIBRARY_NAME WebKit)

# -----------------------------------------------------------------------------
# Default library types
# -----------------------------------------------------------------------------
OPTION(SHARED_CORE "build WTF, JavaScriptCore and WebCore as shared libraries")

IF (SHARED_CORE)
    SET(WTF_LIBRARY_TYPE SHARED)
    SET(JavaScriptCore_LIBRARY_TYPE SHARED)
    SET(WebCore_LIBRARY_TYPE SHARED)
ELSE ()
    SET(WTF_LIBRARY_TYPE STATIC)
    SET(JavaScriptCore_LIBRARY_TYPE STATIC)
    SET(WebCore_LIBRARY_TYPE STATIC)
ENDIF ()

SET(WebKit_LIBRARY_TYPE SHARED)

# -----------------------------------------------------------------------------
# Port-specific options
# -----------------------------------------------------------------------------
INCLUDE(OptionsCommon)
INCLUDE(Options${PORT})

# -----------------------------------------------------------------------------
# Define packaging
# -----------------------------------------------------------------------------
INCLUDE(WebKitPackaging)

# -----------------------------------------------------------------------------
# Add module directories
# -----------------------------------------------------------------------------
ADD_SUBDIRECTORY(JavaScriptCore)
ADD_SUBDIRECTORY(WebCore)
ADD_SUBDIRECTORY(WebKit)

# -----------------------------------------------------------------------------
# Set compiler flags for all targets
# -----------------------------------------------------------------------------
WEBKIT_SET_EXTRA_COMPILER_FLAGS(${WTF_LIBRARY_NAME})
WEBKIT_SET_EXTRA_COMPILER_FLAGS(${JavaScriptCore_LIBRARY_NAME})
WEBKIT_SET_EXTRA_COMPILER_FLAGS(${WebCore_LIBRARY_NAME})
WEBKIT_SET_EXTRA_COMPILER_FLAGS(${WebKit_LIBRARY_NAME})

# -----------------------------------------------------------------------------
# Create the configuration file
# -----------------------------------------------------------------------------
CONFIGURE_FILE(cmakeconfig.h.cmake ${CMAKE_BINARY_DIR}/cmakeconfig.h @ONLY)

# -----------------------------------------------------------------------------
# Prints a summary of all enabled/disabled features
# -----------------------------------------------------------------------------
WEBKIT_PRINT_FEATURES()

=== JavaScriptCore/CMakeLists.txt ===
SET(JavaScriptCore_INCLUDE_DIRECTORIES
    "${CMAKE_BINARY_DIR}"
    "${JAVASCRIPTCORE_DIR}"
    "${JAVASCRIPTCORE_DIR}/API"
    "${JAVASCRIPTCORE_DIR}/ForwardingHeaders"
    "${JAVASCRIPTCORE_DIR}/assembler"
    "${JAVASCRIPTCORE_DIR}/bytecode"
    "${JAVASCRIPTCORE_DIR}/bytecompiler"
    "${JAVASCRIPTCORE_DIR}/debugger"
    "${JAVASCRIPTCORE_DIR}/interpreter"
    "${JAVASCRIPTCORE_DIR}/jit"
    "${JAVASCRIPTCORE_DIR}/parser"
    "${JAVASCRIPTCORE_DIR}/pcre"
    "${JAVASCRIPTCORE_DIR}/profiler"
    "${JAVASCRIPTCORE_DIR}/runtime"
    "${JAVASCRIPTCORE_DIR}/yarr"
    "${WTF_INCLUDE_DIRECTORIES}"
    "${CMAKE_SOURCE_DIR}"
)

SET(JavaScriptCore_SOURCES
    API/JSBase.cpp
    API/JSCallbackConstructor.cpp
    API/JSCallbackFunction.cpp
    API/JSCallbackObject.cpp
    API/JSClassRef.cpp
    API/JSContextRef.cpp
    API/JSObjectRef.cpp
    API/JSProfilerPrivate.cpp
    API/JSStringRef.cpp
    API/JSValueRef.cpp
    API/JSWeakObjectMapRefPrivate.cpp
    API/OpaqueJSString.cpp

    bytecode/CodeBlock.cpp
    bytecode/JumpTable.cpp
    bytecode/Opcode.cpp
    bytecode/SamplingTool.cpp
    bytecode/StructureStubInfo.cpp

    bytecompiler/BytecodeGenerator.cpp
    bytecompiler/NodesCodegen.cpp

    debugger/Debugger.cpp
    debugger/DebuggerActivation.cpp
    debugger/DebuggerCallFrame.cpp

    interpreter/CallFrame.cpp
    interpreter/Interpreter.cpp
    interpreter/RegisterFile.cpp

    jit/ExecutableAllocator.cpp
    jit/JITArithmetic32_64.cpp
    jit/JITArithmetic.cpp
    jit/JITCall32_64.cpp
    jit/JITCall.cpp
    jit/JIT.cpp
    jit/JITOpcodes32_64.cpp
    jit/JITOpcodes.cpp
    jit/JITPropertyAccess32_64.cpp
    jit/JITPropertyAccess.cpp
    jit/JITStubs.cpp
    jit/ThunkGenerators.cpp

    parser/JSParser.cpp
    parser/Lexer.cpp
    parser/Nodes.cpp
    parser/Parser.cpp
    parser/ParserArena.cpp

    pcre/pcre_compile.cpp
    pcre/pcre_exec.cpp
    pcre/pcre_tables.cpp
    pcre/pcre_ucp_searchfuncs.cpp
    pcre/pcre_xclass.cpp

    profiler/Profile.cpp
    profiler/ProfileGenerator.cpp
    profiler/ProfileNode.cpp
    profiler/Profiler.cpp

    runtime/ArgList.cpp
    runtime/Arguments.cpp
    runtime/ArrayConstructor.cpp
    runtime/ArrayPrototype.cpp
    runtime/BooleanConstructor.cpp
    runtime/BooleanObject.cpp
    runtime/BooleanPrototype.cpp
    runtime/CallData.cpp
    runtime/Collector.cpp
    runtime/CommonIdentifiers.cpp
    runtime/Completion.cpp
    runtime/ConstructData.cpp
    runtime/DateConstructor.cpp
    runtime/DateConversion.cpp
    runtime/DateInstance.cpp
    runtime/DatePrototype.cpp
    runtime/Error.cpp
    runtime/ErrorConstructor.cpp
    runtime/ErrorInstance.cpp
    runtime/ErrorPrototype.cpp
    runtime/ExceptionHelpers.cpp
    runtime/Executable.cpp
    runtime/FunctionConstructor.cpp
    runtime/FunctionPrototype.cpp
    runtime/GetterSetter.cpp
    runtime/GlobalEvalFunction.cpp
    runtime/Identifier.cpp
    runtime/InitializeThreading.cpp
    runtime/InternalFunction.cpp
    runtime/JSActivation.cpp
    runtime/JSAPIValueWrapper.cpp
    runtime/JSArray.cpp
    runtime/JSByteArray.cpp
    runtime/JSCell.cpp
    runtime/JSFunction.cpp
    runtime/JSGlobalData.cpp
    runtime/JSGlobalObject.cpp
    runtime/JSGlobalObjectFunctions.cpp
    runtime/JSImmediate.cpp
    runtime/JSLock.cpp
    runtime/JSNotAnObject.cpp
    runtime/JSNumberCell.cpp
    runtime/JSObject.cpp
    runtime/JSObjectWithGlobalObject.cpp
    runtime/JSONObject.cpp
    runtime/JSPropertyNameIterator.cpp
    runtime/JSStaticScopeObject.cpp
    runtime/JSString.cpp
    runtime/JSValue.cpp
    runtime/JSVariableObject.cpp
    runtime/JSWrapperObject.cpp
    runtime/JSZombie.cpp
    runtime/LiteralParser.cpp
    runtime/Lookup.cpp
    runtime/MarkStack.cpp
    runtime/MathObject.cpp
    runtime/NativeErrorConstructor.cpp
    runtime/NativeErrorPrototype.cpp
    runtime/NumberConstructor.cpp
    runtime/NumberObject.cpp
    runtime/NumberPrototype.cpp
    runtime/ObjectConstructor.cpp
    runtime/ObjectPrototype.cpp
    runtime/Operations.cpp
    runtime/PropertyDescriptor.cpp
    runtime/PropertyNameArray.cpp
    runtime/PropertySlot.cpp
    runtime/PrototypeFunction.cpp
    runtime/RegExp.cpp
    runtime/RegExpCache.cpp
    runtime/RegExpConstructor.cpp
    runtime/RegExpObject.cpp
    runtime/RegExpPrototype.cpp
    runtime/RopeImpl.cpp
    runtime/ScopeChain.cpp
    runtime/SmallStrings.cpp
    runtime/StringConstructor.cpp
    runtime/StringObject.cpp
    runtime/StringPrototype.cpp
    runtime/Structure.cpp
    runtime/StructureChain.cpp
    runtime/TimeoutChecker.cpp
    runtime/UString.cpp

    yarr/RegexCompiler.cpp
    yarr/RegexInterpreter.cpp
    yarr/RegexJIT.cpp

    wtf/DateMath.cpp
    wtf/PageAllocation.cpp
)
SET(JavaScriptCore_HEADERS )

SET(JavaScriptCore_LUT_FILES
    runtime/ArrayPrototype.cpp
    runtime/DatePrototype.cpp
    runtime/JSONObject.cpp
    runtime/MathObject.cpp
    runtime/NumberConstructor.cpp
    runtime/RegExpConstructor.cpp
    runtime/RegExpObject.cpp
    runtime/StringPrototype.cpp
)

SET(JavaScriptCore_LIBRARIES
    ${WTF_LIBRARY_NAME}
)


# GENERATOR 1-A: LUT creator
FOREACH (_file ${JavaScriptCore_LUT_FILES})
    GET_FILENAME_COMPONENT(_name ${_file} NAME_WE)
    GENERATE_HASH_LUT(${JAVASCRIPTCORE_DIR}/${_file} ${DERIVED_SOURCES_DIR}/${_name}.lut.h)
    LIST(APPEND JavaScriptCore_HEADERS ${DERIVED_SOURCES_DIR}/${_name}.lut.h)
ENDFOREACH ()


# GENERATOR 1-B: particular LUT creator (for 1 file only)
GENERATE_HASH_LUT(${JAVASCRIPTCORE_DIR}/parser/Keywords.table ${DERIVED_SOURCES_DIR}/Lexer.lut.h MAIN_DEPENDENCY)
LIST(APPEND JavaScriptCore_HEADERS ${DERIVED_SOURCES_DIR}/Lexer.lut.h)

# GENERATOR: "chartables.c": compile and execute the chartables generator (and add it to sources)
IF (MSVC)
    SET(JSC_DFTABLES_PREPROCESSOR --preprocessor=cl.exe)
ENDIF ()
ADD_CUSTOM_COMMAND(
    OUTPUT ${DERIVED_SOURCES_DIR}/chartables.c
    MAIN_DEPENDENCY ${JAVASCRIPTCORE_DIR}/pcre/dftables
    COMMAND ${PERL_EXECUTABLE} ${JAVASCRIPTCORE_DIR}/pcre/dftables ${JSC_DFTABLES_PREPROCESSOR} ${DERIVED_SOURCES_DIR}/chartables.c
    VERBATIM)
ADD_SOURCE_DEPENDENCIES(${JAVASCRIPTCORE_DIR}/pcre/pcre_tables.cpp ${DERIVED_SOURCES_DIR}/chartables.c)


#GENERATOR: "RegExpJitTables.h": tables used by Yarr
ADD_CUSTOM_COMMAND(
    OUTPUT ${DERIVED_SOURCES_DIR}/RegExpJitTables.h
    MAIN_DEPENDENCY ${JAVASCRIPTCORE_DIR}/create_regex_tables
    COMMAND ${PYTHON_EXECUTABLE} ${JAVASCRIPTCORE_DIR}/create_regex_tables > ${DERIVED_SOURCES_DIR}/RegExpJitTables.h
    VERBATIM)
ADD_SOURCE_DEPENDENCIES(${JAVASCRIPTCORE_DIR}/yarr/RegexCompiler.cpp ${DERIVED_SOURCES_DIR}/RegExpJitTables.h)



IF (WTF_CPU_ARM)
    LIST(APPEND JavaScriptCore_SOURCES
        assembler/ARMAssembler.cpp
        assembler/MacroAssemblerARM.cpp
    )
ELSEIF (WTF_CPU_MIPS)
ELSEIF (WTF_CPU_X86)
ELSEIF (WTF_CPU_X86_64)
ELSE ()
    MESSAGE(FATAL_ERROR "Unknown CPU")
ENDIF ()


INCLUDE_IF_EXISTS(${JAVASCRIPTCORE_DIR}/CMakeLists${PORT}.txt)


# Declare source groups for Visual Studio folders
SOURCE_GROUP(API "API/")
SOURCE_GROUP(assembler "assembler/")
SOURCE_GROUP(bytecode "bytecode/")
SOURCE_GROUP(bytecompiler "bytecompiler/")
SOURCE_GROUP(debugger "debugger/")
SOURCE_GROUP(bytecode "bytecode/")
SOURCE_GROUP(interpreter "interpreter/")
SOURCE_GROUP(jit "jit/")
SOURCE_GROUP(parser "parser/")
SOURCE_GROUP(pcre "pcre/")
SOURCE_GROUP(profiler "profiler/")
SOURCE_GROUP(runtime "runtime/")
SOURCE_GROUP(yarr "yarr/")
SOURCE_GROUP(wtf "wtf/")

ADD_SUBDIRECTORY(wtf)
ADD_SUBDIRECTORY(jsc)

WEBKIT_WRAP_SOURCELIST(${JavaScriptCore_SOURCES})
INCLUDE_DIRECTORIES(${JavaScriptCore_INCLUDE_DIRECTORIES})
ADD_DEFINITIONS(-DBUILDING_JavaScriptCore)
ADD_LIBRARY(${JavaScriptCore_LIBRARY_NAME} ${JavaScriptCore_LIBRARY_TYPE} ${JavaScriptCore_HEADERS} ${JavaScriptCore_SOURCES})
TARGET_LINK_LIBRARIES(${JavaScriptCore_LIBRARY_NAME} ${JavaScriptCore_LIBRARIES})
ADD_TARGET_PROPERTIES(${JavaScriptCore_LIBRARY_NAME} LINK_FLAGS ${JavaScriptCore_LINK_FLAGS})

IF (SHARED_CORE)
    INSTALL(TARGETS ${JavaScriptCore_LIBRARY_NAME} DESTINATION lib)
ENDIF ()

=== JavaScriptCore/wscript ===
#! /usr/bin/env python

# Copyright (C) 2009 Kevin Ollivier  All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY APPLE COMPUTER, INC. ``AS IS'' AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL APPLE COMPUTER, INC. OR
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
# OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
#
# JavaScriptCore build script for the waf build system

import commands

from settings import *

jscore_excludes = ['jsc.cpp', 'ucptable.cpp','ProfilerServer.mm']
jscore_excludes.extend(get_excludes(jscore_dir, ['*Brew.cpp', '*CF.cpp', '*Symbian.cpp']))

sources = []

jscore_excludes.extend(get_excludes(jscore_dir, ['*None.cpp']))

if building_on_win32:
    jscore_excludes += ['ExecutableAllocatorPosix.cpp', 'MarkStackPosix.cpp', 'ThreadingPthreads.cpp']
    sources += ['runtime/MarkStackWin.cpp']
else:
    jscore_excludes.append('JSStringRefBSTR.cpp')
    jscore_excludes.extend(get_excludes(jscore_dir, ['*Win.cpp']))

def generate_jscore_derived_sources():
    # build the derived sources
    js_dir = jscore_dir
    if building_on_win32:
        js_dir = get_output('cygpath --unix "%s"' % js_dir)
    derived_sources_dir = os.path.join(jscore_dir, 'DerivedSources')
    if not os.path.exists(derived_sources_dir):
        os.mkdir(derived_sources_dir)

    olddir = os.getcwd()
    os.chdir(derived_sources_dir)

    # DerivedSources.make expects Cygwin (i.e. Unix-style) python, so use that instead.
    if building_on_win32:
        oldpath = os.environ["PATH"]
        os.environ["PATH"] = "/usr/bin" + os.pathsep + os.environ["PATH"]
    command = 'make -f %s/DerivedSources.make JavaScriptCore=%s BUILT_PRODUCTS_DIR=%s all FEATURE_DEFINES="%s"' % (js_dir, js_dir, js_dir, ' '.join(feature_defines))
    os.system(command)
    if building_on_win32:
        os.environ["PATH"] = oldpath
    os.chdir(olddir)

def set_options(opt):
    common_set_options(opt)

def configure(conf):
    common_configure(conf)
    generate_jscore_derived_sources()
    
def build(bld):
    import Options

    full_dirs = get_dirs_for_features(jscore_dir, features=[build_port], dirs=jscore_dirs)

    includes = common_includes + full_dirs
    if sys.platform.startswith('darwin'):
        includes.append(os.path.join(jscore_dir, 'icu'))

    # 1. A simple program
    jscore = bld.new_task_gen(
        features = 'cxx cstaticlib',
        includes = '. .. assembler DerivedSources ForwardingHeaders ' + ' '.join(includes),
        source = sources,
        target = 'jscore',
        uselib = 'WX ICU ' + get_config(),
        uselib_local = '',
        install_path = output_dir)

    jscore.find_sources_in_dirs(full_dirs, excludes = jscore_excludes)  

        
    obj = bld.new_task_gen(
        features = 'cxx cprogram',
        includes = '. .. assembler DerivedSources ForwardingHeaders ' + ' '.join(includes),
        source = 'jsc.cpp',
        target = 'jsc',
        uselib = 'WX ICU ' + get_config(),
        uselib_local = 'jscore',
        install_path = output_dir,
        )
        
    # we'll get an error if exceptions are on because of an unwind error when using __try
    if building_on_win32:
        flags = obj.env.CXXFLAGS
        flags.remove('/EHsc')
        obj.env.CXXFLAGS = flags

    bld.install_files(os.path.join(output_dir, 'JavaScriptCore'), 'API/*.h')

=== WebCore/CMakeLists.txt ===
SET(WebCore_INCLUDE_DIRECTORIES
    "${WEBCORE_DIR}"
    "${WEBCORE_DIR}/accessibility"
    "${WEBCORE_DIR}/bindings"
    "${WEBCORE_DIR}/bindings/generic"
    "${WEBCORE_DIR}/bindings/js"
    "${WEBCORE_DIR}/bridge"
    "${WEBCORE_DIR}/bridge/c"
    "${WEBCORE_DIR}/bridge/jni/jsc"
    "${WEBCORE_DIR}/bridge/jsc"
    "${WEBCORE_DIR}/css"
    "${WEBCORE_DIR}/dom"
    "${WEBCORE_DIR}/dom/default"
    "${WEBCORE_DIR}/editing"
    "${WEBCORE_DIR}/history"
    "${WEBCORE_DIR}/html"
    "${WEBCORE_DIR}/html/canvas"
    "${WEBCORE_DIR}/inspector"
    "${WEBCORE_DIR}/loader"
    "${WEBCORE_DIR}/loader/appcache"
    "${WEBCORE_DIR}/loader/archive"
    "${WEBCORE_DIR}/loader/icon"
    "${WEBCORE_DIR}/mathml"
    "${WEBCORE_DIR}/notifications"
    "${WEBCORE_DIR}/page"
    "${WEBCORE_DIR}/page/animation"
    "${WEBCORE_DIR}/platform"
    "${WEBCORE_DIR}/platform/animation"
    "${WEBCORE_DIR}/platform/graphics"
    "${WEBCORE_DIR}/platform/graphics/filters"
    "${WEBCORE_DIR}/platform/graphics/transforms"
    "${WEBCORE_DIR}/platform/image-decoders"
    "${WEBCORE_DIR}/platform/image-decoders/bmp"
    "${WEBCORE_DIR}/platform/image-decoders/gif"
    "${WEBCORE_DIR}/platform/image-decoders/ico"
    "${WEBCORE_DIR}/platform/image-decoders/jpeg"
    "${WEBCORE_DIR}/platform/image-decoders/png"
    "${WEBCORE_DIR}/platform/mock"
    "${WEBCORE_DIR}/platform/network"
    "${WEBCORE_DIR}/platform/sql"
    "${WEBCORE_DIR}/platform/text"
    "${WEBCORE_DIR}/platform/text/transcoder"
    "${WEBCORE_DIR}/plugins"
    "${WEBCORE_DIR}/rendering"
    "${WEBCORE_DIR}/rendering/style"
    "${WEBCORE_DIR}/storage"
    "${WEBCORE_DIR}/svg"
    "${WEBCORE_DIR}/svg/animation"
    "${WEBCORE_DIR}/svg/graphics"
    "${WEBCORE_DIR}/svg/graphics/filters"
    "${WEBCORE_DIR}/websockets"
    "${WEBCORE_DIR}/workers"
    "${WEBCORE_DIR}/xml"
    "${JAVASCRIPTCORE_DIR}"
    "${JAVASCRIPTCORE_DIR}/ForwardingHeaders"
    "${JAVASCRIPTCORE_DIR}/API"
    "${JAVASCRIPTCORE_DIR}/assembler"
    "${JAVASCRIPTCORE_DIR}/bytecode"
    "${JAVASCRIPTCORE_DIR}/bytecompiler"
    "${JAVASCRIPTCORE_DIR}/debugger"
    "${JAVASCRIPTCORE_DIR}/interpreter"
    "${JAVASCRIPTCORE_DIR}/jit"
    "${JAVASCRIPTCORE_DIR}/parser"
    "${JAVASCRIPTCORE_DIR}/pcre"
    "${JAVASCRIPTCORE_DIR}/profiler"
    "${JAVASCRIPTCORE_DIR}/runtime"
    "${JAVASCRIPTCORE_DIR}/wtf"
    "${JAVASCRIPTCORE_DIR}/wtf/unicode"
    "${DERIVED_SOURCES_DIR}"
    "${CMAKE_SOURCE_DIR}"
    "${CMAKE_BINARY_DIR}"
)

SET(WebCore_IDL_INCLUDES
    bindings/js
    css
    dom
    html
    html/canvas
    inspector
    loader/appcache
    page
    plugins
    storage
    svg
    workers
    xml
)

SET(WebCore_IDL_PURE_FILES
    svg/ElementTimeControl.idl
    svg/SVGAnimatedPathData.idl
    svg/SVGAnimatedPoints.idl
    svg/SVGExternalResourcesRequired.idl
    svg/SVGFilterPrimitiveStandardAttributes.idl
    svg/SVGFitToViewBox.idl
    svg/SVGLangSpace.idl
    svg/SVGLocatable.idl
    svg/SVGStylable.idl
    svg/SVGTests.idl
    svg/SVGTransformable.idl
    svg/SVGURIReference.idl
    svg/SVGViewSpec.idl
    svg/SVGZoomAndPan.idl
)

SET(WebCore_IDL_FILES
    css/Counter.idl
    css/CSSCharsetRule.idl
    css/CSSFontFaceRule.idl
    css/CSSImportRule.idl
    css/CSSMediaRule.idl
    css/CSSPageRule.idl
    css/CSSPrimitiveValue.idl
    css/CSSRule.idl
    css/CSSRuleList.idl
    css/CSSStyleDeclaration.idl
    css/CSSStyleRule.idl
    css/CSSStyleSheet.idl
    css/CSSValue.idl
    css/CSSValueList.idl
    css/CSSVariablesDeclaration.idl
    css/CSSVariablesRule.idl
    css/MediaList.idl
    css/Rect.idl
    css/RGBColor.idl
    css/StyleMedia.idl
    css/StyleSheet.idl
    css/StyleSheetList.idl
    css/WebKitCSSKeyframeRule.idl
    css/WebKitCSSKeyframesRule.idl
    css/WebKitCSSMatrix.idl
    css/WebKitCSSTransformValue.idl

    dom/Attr.idl
    dom/BeforeLoadEvent.idl
    dom/CDATASection.idl
    dom/CharacterData.idl
    dom/ClientRect.idl
    dom/ClientRectList.idl
    dom/Clipboard.idl
    dom/Comment.idl
    dom/CompositionEvent.idl
    dom/CustomEvent.idl
    dom/DeviceOrientationEvent.idl
    dom/DocumentFragment.idl
    dom/Document.idl
    dom/DocumentType.idl
    dom/DOMCoreException.idl
    dom/DOMImplementation.idl
    dom/DOMStringList.idl
    dom/DOMStringMap.idl
    dom/Element.idl
    dom/Entity.idl
    dom/EntityReference.idl
    dom/ErrorEvent.idl
    dom/EventException.idl
    dom/Event.idl
    dom/KeyboardEvent.idl
    dom/MessageChannel.idl
    dom/MessageEvent.idl
    dom/MessagePort.idl
    dom/MouseEvent.idl
    dom/MutationEvent.idl
    dom/NamedNodeMap.idl
    dom/NodeFilter.idl
    dom/Node.idl
    dom/NodeIterator.idl
    dom/NodeList.idl
    dom/Notation.idl
    dom/OverflowEvent.idl
    dom/PageTransitionEvent.idl
    dom/PopStateEvent.idl
    dom/ProcessingInstruction.idl
    dom/ProgressEvent.idl
    dom/RangeException.idl
    dom/Range.idl
    dom/TextEvent.idl
    dom/Text.idl
    dom/TouchEvent.idl
    dom/Touch.idl
    dom/TouchList.idl
    dom/TreeWalker.idl
    dom/UIEvent.idl
    dom/WebKitAnimationEvent.idl
    dom/WebKitTransitionEvent.idl
    dom/WheelEvent.idl

    html/Blob.idl
    html/BlobBuilder.idl
    html/DataGridColumn.idl
    html/DataGridColumnList.idl
    html/DOMFormData.idl
    html/FileError.idl
    html/File.idl
    html/FileList.idl
    html/FileReader.idl
    html/HTMLAllCollection.idl
    html/HTMLAnchorElement.idl
    html/HTMLAppletElement.idl
    html/HTMLAreaElement.idl
    html/HTMLAudioElement.idl
    html/HTMLBaseElement.idl
    html/HTMLBaseFontElement.idl
    html/HTMLBlockquoteElement.idl
    html/HTMLBodyElement.idl
    html/HTMLBRElement.idl
    html/HTMLButtonElement.idl
    html/HTMLCanvasElement.idl
    html/HTMLCollection.idl
    html/HTMLDataGridCellElement.idl
    html/HTMLDataGridColElement.idl
    html/HTMLDataGridElement.idl
    html/HTMLDataGridRowElement.idl
    html/HTMLDataListElement.idl
    html/HTMLDirectoryElement.idl
    html/HTMLDivElement.idl
    html/HTMLDListElement.idl
    html/HTMLDocument.idl
    html/HTMLElement.idl
    html/HTMLEmbedElement.idl
    html/HTMLFieldSetElement.idl
    html/HTMLFontElement.idl
    html/HTMLFormElement.idl
    html/HTMLFrameElement.idl
    html/HTMLFrameSetElement.idl
    html/HTMLHeadElement.idl
    html/HTMLHeadingElement.idl
    html/HTMLHRElement.idl
    html/HTMLHtmlElement.idl
    html/HTMLIFrameElement.idl
    html/HTMLImageElement.idl
    html/HTMLInputElement.idl
    html/HTMLIsIndexElement.idl
    html/HTMLLabelElement.idl
    html/HTMLLegendElement.idl
    html/HTMLLIElement.idl
    html/HTMLLinkElement.idl
    html/HTMLMapElement.idl
    html/HTMLMarqueeElement.idl
    html/HTMLMediaElement.idl
    html/HTMLMenuElement.idl
    html/HTMLMetaElement.idl
    html/HTMLMeterElement.idl
    html/HTMLModElement.idl
    html/HTMLObjectElement.idl
    html/HTMLOListElement.idl
    html/HTMLOptGroupElement.idl
    html/HTMLOptionElement.idl
    html/HTMLOptionsCollection.idl
    html/HTMLParagraphElement.idl
    html/HTMLParamElement.idl
    html/HTMLPreElement.idl
    html/HTMLProgressElement.idl
    html/HTMLQuoteElement.idl
    html/HTMLScriptElement.idl
    html/HTMLSelectElement.idl
    html/HTMLSourceElement.idl
    html/HTMLStyleElement.idl
    html/HTMLTableCaptionElement.idl
    html/HTMLTableCellElement.idl
    html/HTMLTableColElement.idl
    html/HTMLTableElement.idl
    html/HTMLTableRowElement.idl
    html/HTMLTableSectionElement.idl
    html/HTMLTextAreaElement.idl
    html/HTMLTitleElement.idl
    html/HTMLUListElement.idl
    html/HTMLVideoElement.idl
    html/ImageData.idl
    html/MediaError.idl
    html/TextMetrics.idl
    html/TimeRanges.idl
    html/ValidityState.idl
    html/VoidCallback.idl

    html/canvas/ArrayBuffer.idl
    html/canvas/ArrayBufferView.idl
    html/canvas/CanvasGradient.idl
    html/canvas/CanvasPattern.idl
    html/canvas/CanvasRenderingContext2D.idl
    html/canvas/CanvasRenderingContext.idl
    html/canvas/WebGLRenderingContext.idl

    html/canvas/ArrayBuffer.idl
    html/canvas/ArrayBufferView.idl
    html/canvas/Float32Array.idl
    html/canvas/Int16Array.idl
    html/canvas/Int32Array.idl
    html/canvas/Int8Array.idl
    html/canvas/Uint16Array.idl
    html/canvas/Uint32Array.idl
    html/canvas/Uint8Array.idl

    inspector/InjectedScriptHost.idl
    inspector/InspectorBackend.idl
    inspector/InspectorFrontendHost.idl
    inspector/JavaScriptCallFrame.idl
    inspector/ScriptProfile.idl
    inspector/ScriptProfileNode.idl

    loader/appcache/DOMApplicationCache.idl

    notifications/Notification.idl
    notifications/NotificationCenter.idl

    page/BarInfo.idl
    page/Console.idl
    page/Coordinates.idl
    page/DOMSelection.idl
    page/DOMWindow.idl
    page/EventSource.idl
    page/Geolocation.idl
    page/Geoposition.idl
    page/History.idl
    page/Location.idl
    page/MemoryInfo.idl
    page/Navigation.idl
    page/Navigator.idl
    page/Performance.idl
    page/PositionError.idl
    page/Screen.idl
    page/Timing.idl
    page/WebKitPoint.idl
    page/WorkerNavigator.idl

    plugins/DOMMimeType.idl
    plugins/DOMMimeTypeArray.idl
    plugins/DOMPlugin.idl
    plugins/DOMPluginArray.idl

    storage/Database.idl
    storage/DatabaseCallback.idl
    storage/DatabaseSync.idl
    storage/IDBAny.idl
    storage/IDBDatabaseError.idl
    storage/IDBDatabaseException.idl
    storage/IDBDatabaseRequest.idl
    storage/IDBErrorEvent.idl
    storage/IDBEvent.idl
    storage/IDBIndexRequest.idl
    storage/IDBKey.idl
    storage/IDBKeyRange.idl
    storage/IDBObjectStoreRequest.idl
    storage/IDBRequest.idl
    storage/IDBSuccessEvent.idl
    storage/IndexedDatabaseRequest.idl
    storage/SQLError.idl
    storage/SQLException.idl
    storage/SQLResultSet.idl
    storage/SQLResultSetRowList.idl
    storage/SQLStatementCallback.idl
    storage/SQLStatementErrorCallback.idl
    storage/SQLTransaction.idl
    storage/SQLTransactionCallback.idl
    storage/SQLTransactionErrorCallback.idl
    storage/SQLTransactionSync.idl
    storage/SQLTransactionSyncCallback.idl
    storage/Storage.idl
    storage/StorageEvent.idl

    websockets/WebSocket.idl

    workers/AbstractWorker.idl
    workers/DedicatedWorkerContext.idl
    workers/SharedWorker.idl
    workers/SharedWorkerContext.idl
    workers/Worker.idl
    workers/WorkerContext.idl
    workers/WorkerLocation.idl

    xml/DOMParser.idl
    xml/XMLHttpRequest.idl
    xml/XMLHttpRequestException.idl
    xml/XMLHttpRequestProgressEvent.idl
    xml/XMLHttpRequestUpload.idl
    xml/XMLSerializer.idl
    xml/XPathEvaluator.idl
    xml/XPathException.idl
    xml/XPathExpression.idl
    xml/XPathNSResolver.idl
    xml/XPathResult.idl
    xml/XSLTProcessor.idl
)

IF (ENABLE_SVG)
    LIST(APPEND WebCore_IDL_FILES
        svg/SVGAElement.idl
        svg/SVGAltGlyphElement.idl
        svg/SVGAngle.idl
        svg/SVGAnimateColorElement.idl
        svg/SVGAnimateElement.idl
        svg/SVGAnimateTransformElement.idl
        svg/SVGAnimatedAngle.idl
        svg/SVGAnimatedBoolean.idl
        svg/SVGAnimatedEnumeration.idl
        svg/SVGAnimatedInteger.idl
        svg/SVGAnimatedLength.idl
        svg/SVGAnimatedLengthList.idl
        svg/SVGAnimatedNumber.idl
        svg/SVGAnimatedNumberList.idl
        svg/SVGAnimatedPreserveAspectRatio.idl
        svg/SVGAnimatedRect.idl
        svg/SVGAnimatedString.idl
        svg/SVGAnimatedTransformList.idl
        svg/SVGAnimationElement.idl
        svg/SVGCircleElement.idl
        svg/SVGClipPathElement.idl
        svg/SVGColor.idl
        svg/SVGComponentTransferFunctionElement.idl
        svg/SVGCursorElement.idl
        svg/SVGDefsElement.idl
        svg/SVGDescElement.idl
        svg/SVGDocument.idl
        svg/SVGElement.idl
        svg/SVGElementInstance.idl
        svg/SVGElementInstanceList.idl
        svg/SVGEllipseElement.idl
        svg/SVGException.idl
        svg/SVGFEBlendElement.idl
        svg/SVGFEColorMatrixElement.idl
        svg/SVGFEComponentTransferElement.idl

=== debian/changelog ===
qtwebkit (2.1.0~2011week13-2) unstable; urgency=low

  * Add defines_qt_webkit.diff to display correctly documentation in Qt Creator
    Help plugin. (Closes: #619443)
  * Bump Standards-Version to 3.9.2 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Sun, 19 Jun 2011 12:35:00 +0300

qtwebkit (2.1.0~2011week13-1) unstable; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Add linux_amd64_no_overcommit.diff to avoid crashes on amd64 with less than
    3 or 4GB of RAM. Thanks to Felix Geyer for his help with this issue.

  [ Fathi Boudra ]
  * Ship libqtwebkit-qmlwebkitplugin package. (Closes: #601650)
  * Drop webcore_qtplatformplugin_createfullscreenvideohandler_ftbfs.patch.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 06 Apr 2011 11:37:59 +0300

qtwebkit (2.1.0~2011week09-3) unstable; urgency=high

  * Rename 08_powerpc_s390_no_gc_sections.diff to no_gc_sections.diff and
    extend it to cover armel and mip* as well. Full list: powerpc, s390, arm*,
    mips*.
  * Really replace -g with -gstabs on s390, mips, mipsel and armel. Previously
    it used to grab -g from environment CXXFLAGS.  Hopefully this will truly
    fix OOMs when linking. (Closes: #618325)
  * Urgency=high, transition stuff.

 -- Modestas Vainius <modax@debian.org>  Mon, 28 Mar 2011 03:36:12 +0300

qtwebkit (2.1.0~2011week09-2) unstable; urgency=high

  [ Pino Toscano ]
  * Build-depend on libphonon-dev on non-Linux architectures. (Closes: #617656)

  [ Modestas Vainius ]
  * Build with -gstabs on armel (Closes: #618325). Added to the
    stabs_format_debug_info.diff patch (former
    07_s390_stabs_format_debugging_information.diff).
  * Urgency=high, transition stuff.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 24 Mar 2011 16:12:43 +0200

qtwebkit (2.1.0~2011week09-1) unstable; urgency=low

  * New upstream release - upload to Sid.
  * Add webcore_qtplatformplugin_createfullscreenvideohandler_ftbfs.patch to
    work around the build failure.
  * Switch to Qt MultimediaKit for the video support (instead of Phonon), build
    depends on QtMultimediaKit.
  * Enable geolocation support: build depends on QtLocation and define
    ENABLE_GEOLOCATION.

 -- Fathi Boudra <fabo@debian.org>  Sun, 06 Mar 2011 10:05:46 +0200

qtwebkit (2.1.0~2011week03-1) experimental; urgency=low

  * New upstream release: switch to Qt WebKit 2.1 branch.

  [ Fathi Boudra ]
  * Update debian/control:
    - build depends on Qt 4.7.0 beta 2.
  * Update debian/rules:
    - pass DEFINES+=ENABLE_VIDEO to build with audio/video support.
  * Update libqtwebkit-dev.install file: add qwebkitplatformplugin.h.

  [ Modestas Vainius ]
  * Fix debian/control Vcs fields to point to the new location.

  [ Pino Toscano ]
  * Add patch 09_hurd.diff to fix compilation on Hurd.

 -- Fathi Boudra <fabo@debian.org>  Sat, 29 Jan 2011 18:23:41 +0200

qtwebkit (2.0~week26-2) experimental; urgency=low

  * Fix FTBFS on GNU/kFreeBSD caused by missing strnstr() on glibc systems.

 -- Fathi Boudra <fabo@debian.org>  Wed, 07 Jul 2010 09:51:03 +0300

qtwebkit (2.0~week26-1) experimental; urgency=low

  * Initial release (Closes: #576006)

 -- Fathi Boudra <fabo@debian.org>  Fri, 02 Jul 2010 15:37:23 +0300

=== debian/control ===
Source: qtwebkit
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.15),
               gperf,
               libicu-dev,
               libphonon-dev [kfreebsd-amd64 kfreebsd-i386 hurd-i386],
               libqt4-dev (>= 4:4.7.0),
               libqt4-opengl-dev (>= 4:4.7.0),
               libsqlite3-dev,
               libxext-dev,
               libxrender-dev,
               pkg-kde-tools (>= 0.6.4),
               qtmobility-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386]
Standards-Version: 3.9.2
Section: libs
Homepage: http://trac.webkit.org/wiki/QtWebKit
Vcs-Git: git://git.debian.org/pkg-kde/qt/qtwebkit.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/qt/qtwebkit.git;a=summary

Package: libqtwebkit-dev
Section: libdevel
Architecture: any
Depends: libqt4-dev (>= 4:4.7.0),
         libqtwebkit4 (= ${binary:Version}),
         ${misc:Depends}
Replaces: libqt4-dev (<= 4:4.7.0~beta1)
Description: Web content engine library for Qt - development files
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the development files needed to build Qt 4 applications
 using QtWebKit library.

Package: libqtwebkit4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt4-webkit (<= 4:4.7.0~beta1)
Description: Web content engine library for Qt
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.

Package: libqtwebkit-qmlwebkitplugin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt WebKit QML plugin
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the WebKit QML plugin for QtDeclarative.

Package: libqtwebkit4-dbg
Priority: extra
Architecture: any
Section: debug
Depends: libqtwebkit4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt4-webkit-dbg (<= 4:4.7.0~beta1)
Description: Web content engine library for Qt - debugging symbols
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the debugging symbols for the Qt WebKit library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Filter -g from environment on troublesome arches. Replace it with -gstabs
# See also: stabs_format_debug_info.diff
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(filter $(DEB_HOST_ARCH),s390 armel mips mipsel))
    export CFLAGS := $(filter-out -g,$(CFLAGS)) -gstabs
    export CXXFLAGS := $(filter-out -g,$(CXXFLAGS)) -gstabs
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
	extra_configure_opts = DEFINES+=ENABLE_VIDEO=1 DEFINES+=ENABLE_GEOLOCATION=1
endif

%:
	dh $@ --buildsystem=qmake --parallel --list-missing --dbg-package=libqtwebkit4-dbg --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- $(extra_configure_opts)

## qtwebkit 2.2.0

=== debian/changelog ===
qtwebkit (2.2.0-3) unstable; urgency=low

  [ Fathi Boudra ]
  * Update the symbols file for ia64 and mipsel architectures.

  [ Pino Toscano ]
  * Add patch hurd.diff to temporarly workaround build failure on Hurd.
  * Update the symbols file for hurd-i386, sh4, and sparc64 architectures.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 28 Dec 2011 10:10:59 +0200

qtwebkit (2.2.0-2) unstable; urgency=low

  [ Pino Toscano ]
  * Improve the symbols file for more archs (based on their build logs):
    armel ia64 kfreebsd-amd64 kfreebsd-i386 mips powerpc s390 s390x sparc

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 25 Dec 2011 21:46:36 +0100

qtwebkit (2.2.0-1) unstable; urgency=low

  * New upstream release:
    - provides support for s390/s390x. (Closes: #637004)
  * Update patches:
    - 0001_fix_symbols_visibility_for_webcore.diff: drop, stolen upstream.
    - 05_sparc_unaligned_access.diff: refresh
    - no_gc_sections.diff: refresh
    - 06_kfreebsd_strnstr.diff, 09_hurd.diff: drop, now strnstr() is properly
      enabled

  [ Pino Toscano ]
  * Add -gstabs to the C(XX)FLAGS also for s390x. (see #637004)
  * Enable the video support for all the OSes, not just on Linux.
  * Add patch glibc_mkspec.diff, to enable/fix compile options for platforms
    using our custom glibc-g++ mkspec.
  * Add a symbols file, based on the previous version (2.1.0~2011week13).

  [ Fathi Boudra ]
  * Update debian/control:
    - bump debhelper build dependency to 8.1.3~.
    - add pkg-config, libgstreamer-plugins-base0.10-dev and
      libgstreamer0.10-dev build dependencies.
    - drop libphonon-dev build and qt-mobility build dependencies. GStreamer
      will be used as the multimedia backend as recommended by upstream.
      (Closes: #634388) 
  * Add debian/README.source: explain how to create a new upstream tarball.
  * Update debian/rules:
    - drop ENABLE_GEOLOCATION as qt-mobility build dependency is removed.
    - add WTF_USE_GSTREAMER to enable GStreamer as the multimedia backend.
    - pass --sourcedirectory=Source to dh as the upstream tarball format has
      changed.
    - add override_dh_auto_clean to remove Source/Makefile file and avoid
      dh_clean failure.
  * Add qwebview designer plugin and make libqtwebkit-dev depend on
    ${shlibs:Depends} as we are shipping the qwebview designer plugin.
    (Closes: #612974)
  * Add adjust_symbols_visibility_for_webcore.diff to fix WebCore symbols
    visibility.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 19 Sep 2011 16:32:18 +0300

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 7.4.15),
+Build-Depends: debhelper (>= 8.1.3~),
                gperf,
+               libgstreamer-plugins-base0.10-dev,
+               libgstreamer0.10-dev,
                libicu-dev,
-               libphonon-dev [kfreebsd-amd64 kfreebsd-i386 hurd-i386],
-               libqt4-dev (>= 4:4.7.0),
-               libqt4-opengl-dev (>= 4:4.7.0),
+               libqt4-dev (>= 4:4.7.3),
+               libqt4-opengl-dev (>= 4:4.7.3),
                libsqlite3-dev,
                libxext-dev,
                libxrender-dev,
-               pkg-kde-tools (>= 0.6.4),
-               qtmobility-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386]
+               pkg-config,
+               pkg-kde-tools (>= 0.6.4)
 Standards-Version: 3.9.2
 Section: libs
 Homepage: http://trac.webkit.org/wiki/QtWebKit
@@ -22,9 +23,10 @@
 Package: libqtwebkit-dev
 Section: libdevel
 Architecture: any
-Depends: libqt4-dev (>= 4:4.7.0),
+Depends: libqt4-dev (>= 4:4.7.3),
          libqtwebkit4 (= ${binary:Version}),
-         ${misc:Depends}
+         ${misc:Depends},
+         ${shlibs:Depends}
 Replaces: libqt4-dev (<= 4:4.7.0~beta1)
 Description: Web content engine library for Qt - development files
  QtWebKit provides a Web browser engine that makes it easy to embed content

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

QWEBVIEW_DIR=debian/plugins/qwebview

# Filter -g from environment on troublesome arches. Replace it with -gstabs
# See also: stabs_format_debug_info.diff
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(filter $(DEB_HOST_ARCH),s390 s390x armel mips mipsel))
    export CFLAGS := $(filter-out -g,$(CFLAGS)) -gstabs
    export CXXFLAGS := $(filter-out -g,$(CXXFLAGS)) -gstabs
endif

%:
	dh $@ --sourcedirectory=Source --buildsystem=qmake --parallel --list-missing --dbg-package=libqtwebkit4-dbg --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- DEFINES+=ENABLE_VIDEO=1 DEFINES+=WTF_USE_GSTREAMER=1
	dh_auto_configure --sourcedirectory=$(QWEBVIEW_DIR)

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=$(QWEBVIEW_DIR)

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --sourcedirectory=$(QWEBVIEW_DIR)

override_dh_auto_clean:
	rm -f Source/Makefile
	dh_auto_clean
	dh_auto_clean --sourcedirectory=$(QWEBVIEW_DIR)
